using Gtk;

public interface ChatItemLayout : Object
{
    public abstract bool from_me { get; set; }
    public abstract float vertical_padding { get; set; }
    public abstract string id { get; set; }

    public abstract float get_height();
    public abstract float get_width();

    public abstract void draw(Snapshot snapshot);
    public abstract void copy(Gdk.Clipboard clipboard);
}
